Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::anchor_node Class Reference

Inheritance diagram for openvrml::vrml97_node::anchor_node:

[legend]
List of all members.

## Detailed Description

Represents Anchor node instances.

## Public Member Functions

| anchor_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~anchor_node () throw ()
| Destroy.
virtual anchor_node * | to_anchor () const
| Cast to an anchor.
virtual const openvrml::bounding_volume & | bounding_volume () const
| Get the bounding volume.
void | activate ()
| Handle a click by loading the url.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.

## Private Attributes

exposedfield< sfstring > | description_
| description exposedField
exposedfield< mfstring > | parameter_
| parameter exposedField
exposedfield< mfstring > | url_
| url exposedField

## Friends

class | anchor_class
| Class object for Anchor nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::anchor_node::anchor_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with this node.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::anchor_node::~anchor_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

anchor_node * openvrml::vrml97_node::anchor_node::to_anchor | ( |  | ) | const`[virtual]`

Cast to an anchor.

Returns:
  a pointer to this node.

Reimplemented from openvrml::node.

const bounding_volume & openvrml::vrml97_node::anchor_node::bounding_volume | ( |  | ) | const`[virtual]`

Get the bounding volume.

Returns:
  the bounding volume associated with the node.

Reimplemented from openvrml::vrml97_node::group_node.

void openvrml::vrml97_node::anchor_node::activate | ( |  | ) |

| Handle a click by loading the url.

void openvrml::vrml97_node::anchor_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

Parameters:

  | viewer | a Viewer.
  | context | a rendering context.

Reimplemented from openvrml::vrml97_node::group_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::anchor_node::anchor_class`[friend]`

| Class object for Anchor nodes.

## Member Data Documentation

exposedfield< sfstring > openvrml::vrml97_node::anchor_node::description_ `[private]`

| description exposedField

exposedfield< mfstring > openvrml::vrml97_node::anchor_node::parameter_ `[private]`

| parameter exposedField

exposedfield< mfstring > openvrml::vrml97_node::anchor_node::url_ `[private]`

| url exposedField